net.sourceforge.pmd.util.viewer.model

## Class AttributeToolkit

- java.lang.Object
- - net.sourceforge.pmd.util.viewer.model.AttributeToolkit

-     public class AttributeToolkit
      extends Object

  A toolkit for vaious attribute translations
  Version:
    $Id$
  Author:
    Boris Gruschko ( boris at gruschko.org )

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeToolkit()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `constructPredicate(Attribute attribute)` constructs a predicate from the given attribute
    `static String` | `formatValueForXPath(Attribute attribute)` formats a value for its usage in XPath expressions

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeToolkit

          public AttributeToolkit()

  - ### Method Detail

    - #### formatValueForXPath

          public static String formatValueForXPath(Attribute attribute)

      formats a value for its usage in XPath expressions
      Parameters:
        `attribute` - atribute which value should be formatted
      Returns:
        formmated value

    - #### constructPredicate

          public static String constructPredicate(Attribute attribute)

      constructs a predicate from the given attribute
      Parameters:
        `attribute` - attribute to be formatted as predicate
      Returns:
        predicate

Copyright © 2002-2013 InfoEther. All Rights Reserved.